Summary:      Automatic IP detection utility
Name:         intuitively
Version:      0.7
Release:      14%{?dist}
URL:          http://home.samfundet.no/~tfheen/intuitively.html
Source0:      http://ftp.debian.org/debian/pool/main/i/intuitively/intuitively_%{version}.orig.tar.gz
# No attribution, just COPYING.
License:      GPL+
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libnet-devel >= 1.1.1, libpcap-devel, docbook-utils, flex
Group:         System Environment/Base


%description

"intuitively" is an utility to locate current network address via arp
requests and perform heavy reconfigurations based on its findings.

"intuitively" is intended for laptop users or people who use their
machines in different networks all the time. It is meant to be run
from the PCMCIA network initialization scripts or the command line.


%prep
%setup -q -n %{name}-%{version}

sed -i 's:/usr/share/intuitively:/some/path/to:' doc/intuitively.conf.dist


%build
%configure
make %{?_smp_mflags}

# re-create man pages (it has a garbage due to wrong docbook2man invoking)
pushd doc
docbook2man intuitively.sgml
docbook2man intuitively.conf.sgml
popd


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/intuitively
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/intuitively.conf
%{_mandir}/*/*
%doc README COPYING AUTHORS NEWS doc/intuitively.conf.dist


%changelog
* Thu Jul 31 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.7-14
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7-13
- Autorebuild for GCC 4.3

* Wed Nov 29 2006 Patrice Dumas <pertusus@free.fr> 0.7-12
- Rebuild for libcap soname change (0.9.5)

* Tue Aug 29 2006 Patrice Dumas <pertusus@free.fr> 0.7-10
- Rebuild for FC6

* Sat Jun 10 2006 Patrice Dumas <pertusus@free.fr> 0.7-9
- BuildRequires pcap-devel instead of pcap

* Fri Feb 17 2006 Patrice Dumas <pertusus@free.fr> 0.7-8
- rebuild for fc5

* Thu Dec 22 2005 Patrice Dumas <pertusus@free.fr> 0.7-7
- rebuild

* Mon Nov 28 2005 Patrice Dumas <pertusus@free.fr> 0.7-6
- all changes are from Dmitry Butskoy
- use a sed one-liner instead of Patch1
- use %{name} and some wildcards for %files
- properly recreate man pages
- pass sysconfdir to make instead of patching Makefile.in

* Mon Aug 15 2005 Patrice Dumas <pertusus@free.fr> 0.7-4
- Buildrequires flex, libnet-devel
- (noreplace) for config
- replace /usr/share by /opt in example config file
- no make clean, use smp_mflags

* Mon Aug 15 2005 Patrice Dumas <pertusus@free.fr> 0.7-3
- use the right url

* Fri Aug 12 2005 Patrice Dumas <pertusus@free.fr> 0.7-1
- update

* Sat Mar 20 2004 Patrice Dumas <pertusus@free.fr> 0.6-0.fdr.1
- Update using fedora spec file

* Fri Jun 14 2002 Dumas Patrice <pertusus@free.fr>
- Initial build.
